Currently have OS 10.4.7 and just got an Ipad. What OS should I be get to run this on my Mac?

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted